summaryrefslogtreecommitdiffhomepage
path: root/android/scripts
diff options
context:
space:
mode:
authorAlbin <albin@mullvad.net>2025-01-27 07:51:55 +0100
committerAlbin <albin@mullvad.net>2025-01-27 15:58:46 +0100
commit4f8d72d4d79e20162b5210d4ed5d7e8717a716f1 (patch)
treea351b510eb9caa2729c7359bfe6a984f9d8d11e7 /android/scripts
parentb8ecbe5a43fb665e82686daf84fe46e0f9e601b3 (diff)
downloadmullvadvpn-4f8d72d4d79e20162b5210d4ed5d7e8717a716f1.tar.xz
mullvadvpn-4f8d72d4d79e20162b5210d4ed5d7e8717a716f1.zip
Upload test attachments
Diffstat (limited to 'android/scripts')
-rwxr-xr-xandroid/scripts/run-instrumented-tests.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/android/scripts/run-instrumented-tests.sh b/android/scripts/run-instrumented-tests.sh
index 8d835ddb5a..88f1f2082b 100755
--- a/android/scripts/run-instrumented-tests.sh
+++ b/android/scripts/run-instrumented-tests.sh
@@ -156,6 +156,7 @@ INSTRUMENTATION_LOG_FILE_PATH="$REPORT_DIR/instrumentation-log.txt"
LOGCAT_FILE_PATH="$REPORT_DIR/logcat.txt"
LOCAL_SCREENSHOT_PATH="$REPORT_DIR/screenshots"
DEVICE_SCREENSHOT_PATH="/sdcard/Pictures/mullvad-$TEST_TYPE"
+LOCAL_TEST_ATTACHMENTS_PATH="$REPORT_DIR/test-attachments"
DEVICE_TEST_ATTACHMENTS_PATH="/sdcard/Download/test-attachments"
echo ""
@@ -241,6 +242,7 @@ else
echo "One or more tests failed, see logs for more details."
echo "Collecting report..."
adb pull "$DEVICE_SCREENSHOT_PATH" "$LOCAL_SCREENSHOT_PATH" || echo "No screenshots"
+ adb pull "$DEVICE_TEST_ATTACHMENTS_PATH" "$LOCAL_TEST_ATTACHMENTS_PATH" || echo "No test attachments"
adb logcat -d > "$LOGCAT_FILE_PATH"
exit 1
fi